import { EventEmitter } from '@angular/core';
import { Column } from '@true-directive/base';
import { GridStateService } from '../grid-state.service';
export declare class EditorSelectComponent {
    ie: boolean;
    value: string;
    height: number;
    input: any;
    state: GridStateService;
    column: Column;
    row: any;
    commit: EventEmitter<any>;
    cancel: EventEmitter<any>;
    change: EventEmitter<any>;
    init(value: any, height: number, ie?: boolean): void;
    setValueAndFocus(value: any, selectAll?: boolean): void;
    inputMouseDown(e: any): void;
    processKey(keyEvent: any): void;
    inputKeyDown(e: any): void;
    inputBlur(e: any): void;
    getClass(): "" | "true-grid-editor-ie" | "true-grid-editor-100p";
    getH(): string;
}
